/***************************************************************************
 **
 **  Copyright (C) 2018-2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#ifndef FANCYWINDOW_H
#define FANCYWINDOW_H

#include <QMainWindow>
#include "frameless_global.h"



class FancyBar;
class FancyWindowPrivate;
class FRAMELESS_SHARED_EXPORT FancyWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit FancyWindow(QWidget *parent = nullptr);
    ~FancyWindow();

    FancyBar* fancyBar() const;

    void setFixedSize(const QSize &s);
    void setFixedSize(int w, int h);
    void setFixedWidth(int w);
    void setFixedHeight(int h);

    void setWindowFlags(Qt::WindowFlags type);

signals:
    void resizable(bool resizable);

protected:
//    virtual void paintEvent(QPaintEvent *event);

private:
    FancyWindowPrivate *d;
};



#endif // FANCYWINDOW_H
